import { defineEventHandler, sendRedirect } from "h3";
import { withBase } from "ufo";
import { createSitemap } from "../sitemap/nitro.mjs";
import { useSimpleSitemapRuntimeConfig } from "../utils.mjs";
import { useRuntimeConfig } from "#imports";
export default defineEventHandler(async (e) => {
  const { sitemaps } = useSimpleSitemapRuntimeConfig();
  if ("index" in sitemaps) {
    return sendRedirect(e, withBase("/sitemap_index.xml", useRuntimeConfig().app.baseURL), process.dev ? 302 : 301);
  }
  return createSitemap(e, Object.values(sitemaps)[0]);
});
